# Bangladesh

### Required Fields

<table data-header-hidden><thead><tr><th width="262.3333333333333">Field</th><th width="240">Format</th><th>Description</th></tr></thead><tbody><tr><td>Field</td><td>Format</td><td>Description</td></tr><tr><td><code>login</code></td><td>String</td><td>Cashout login</td></tr><tr><td><code>pass</code></td><td>String</td><td>Cashout pass</td></tr><tr><td><code>external_id</code></td><td>String (max length: 100)</td><td>Transaction's ID on your end</td></tr><tr><td><code>document_id</code></td><td>See <a href="/pages/-M8muWcG4tmJbnohBWM5#documents-validations">document validations</a></td><td>Beneficiary's document ID</td></tr><tr><td><code>country</code></td><td><code>BD</code></td><td>See <a href="/pages/-M8muWcG4tmJbnohBWM5#countries-and-currencies">country codes</a></td></tr><tr><td><code>currency</code></td><td><code>BDT</code> / <code>USD</code></td><td>See <a href="/pages/-M8muWcG4tmJbnohBWM5#countries-and-currencies">currency codes</a></td></tr><tr><td><code>amount</code></td><td>Number with up to 2 decimals</td><td>Cashout amount</td></tr><tr><td><code>bank_account</code></td><td>See <a href="/pages/-MD70wsOav-zReUGlOsm#bank-account-validations">validations below</a></td><td>Beneficiary's bank account</td></tr><tr><td><code>beneficiary_name</code></td><td>String (max length: 100)</td><td>Beneficiary's name</td></tr><tr><td><code>beneficiary_lastname</code></td><td>String (max length: 100)</td><td>Beneficiary's Last name</td></tr><tr><td><code>Email</code></td><td>String (max length: 100)</td><td>User's email</td></tr></tbody></table>

### Bank Account validation

<table data-header-hidden><thead><tr><th width="133">Bank name</th><th width="105" align="center">Bank code</th><th width="101">Format</th><th width="142">Description</th><th width="119">Regex</th><th>Example</th></tr></thead><tbody><tr><td>Bank name</td><td align="center">Bank code</td><td>Format</td><td>Description</td><td>Regex</td><td>Example</td></tr><tr><td>All</td><td align="center">-</td><td>Numeric</td><td>Numeric bank account. Length between 3 and 20 digits inclusive</td><td><code>^\d{3,20}$</code></td><td><pre><code>01234567891
</code></pre></td></tr></tbody></table>

## Document Validations

[Click here](/knowledge-base/countries-specifications.md#documents-validations) to check document types and validations.<br>

## Example Request

```json
{
    "login": "xxxxxxx",
    "pass": "xxxxxxx",
    "external_id": "30000000001",
    "document_id": "8738394731",
    "country": "BD",
    "amount": 1000,
    "currency": "BDT",
    "bank_code": "1",
    "bank_account": "01234567891", 
    "account_type": "S",
    "beneificiary_name": "Test Name",
    "beneificiary_lastname": "Last Name",
    "email": "user@email.com",
    "notification_url": "https://webhook.site/url",
    "type": "json"
}
```

### Account type

The `account_type` is specified with only one character as described below.

| `account_type` | Description     |
| :------------: | --------------- |
|     **`C`**    | Current account |
|     **`S`**    | Savings account |

### Bank Code

{% hint style="info" %}
For the full and most up-to-date list of banks and its codes, please check the [Cashout Bank Code endpoint.](/api-documentation/cashouts-api/endpoints/cashout-bank-codes.md)
{% endhint %}

| Bank   | Code |
| ------ | ---- |
| BKash  | 001  |
| Nagad  | 002  |
| Rocket | 004  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lime-pay.com/api-documentation/cashouts-api/countries-validations/asian-countries/bangladesh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
